# plugandwork-toolkit

> Made with create-react-library

[![NPM](https://img.shields.io/npm/v/plugandwork-toolkit.svg)](https://www.npmjs.com/package/plugandwork-toolkit) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
npm install --save plugandwork-toolkit
```

## Usage

Connnect your component and extends PawViewProps to type your props.
 
```tsx
import React, { Component } from 'react'

import { MyComponent, store, alertsReducer, alertsActions, i18nInstance, PawModel, PawConnectedModel, PawViewProps } from 'plugandwork-toolkit';
import 'plugandwork-toolkit/dist/index.css';
import { useTranslation, I18nextProvider } from 'react-i18next';

export interface IAppProps extends PawViewProps {
  pawModel: PawConnectedModel<PawModel>
}

React.useEffect(() => {
  store.dispatch(alertsActions.infoAlert('Component mounted'))
  // Use instance to push locales into locales store
  i18nInstance.addResourceBundle('fr', 'translation', { name: 'Nom' })
  i18nInstance.addResourceBundle('en', 'translation', { name: 'Name' })
}, [])

function App (props: IAppProps) {
  const { t, i18n } = useTranslation()
  return (
    <I18nextProvider i18n={i18nInstance}>
      <div>
        {t('name')}
      </div>
    <I18nextProvider>
  );
}

export default PawModel.connect('pawModel')(App);
```

## Storybook
[Documentation](https://doc.plugandwork.fr)
```bash
npm run storybook
```

# Documentation
- [Store redux](./docs/ReduxStore.md)
- [Alerts](./docs/Alerts.md)
- [i18n](./docs/i18n.md)

## License

MIT © [pierrecabriere](https://github.com/pierrecabriere)
