import '../scss/app.scss';
import SidebarComp from './components/Sidebar';
import * as Components from './components';
import { StoreAlertsState as SNS, StoreAlert as SN } from './store/alertsSlice';
import Paw from './models/PawModel';
import App from './models/App';
import Bloc from './models/Bloc';
import Context from './models/Context';
import Folder from './models/Folder';
import Space from './models/Space';
import User from './models/User';
import ViewFolder from './models/ViewFolder';
import Doc from './models/Doc';
import View from './models/View';
import Group from './models/Group';
import PlugandworkAppClass from './utils/PlugandworkApp';
import { PawConnected, IViewProps } from './interfaces/view_loader';
import * as storeMethods from './store';
import SettingsFieldClass, * as settingsFields from './utils/SettingsField';
import { EnhancedStore } from '@reduxjs/toolkit';
export declare const Sidebar: typeof SidebarComp;
export declare const Alert: typeof import("reactstrap/es/Alert").default;
export declare const Badge: typeof import("reactstrap/es/Badge").default;
export declare const Breadcrumb: typeof import("reactstrap/es/Breadcrumb").default;
export declare const BreadcrumbItem: typeof import("reactstrap/es/BreadcrumbItem").default;
export declare const Button: typeof import("reactstrap/es/Button").default;
export declare const ButtonDropdown: typeof import("reactstrap/es/ButtonDropdown").default;
export declare const ButtonGroup: typeof import("reactstrap/es/ButtonGroup").default;
export declare const ButtonToggle: typeof import("reactstrap/es/ButtonToggle").default;
export declare const ButtonToolbar: typeof import("reactstrap/es/ButtonToolbar").default;
export declare const Card: typeof import("reactstrap/es/Card").default;
export declare const CardBody: typeof import("reactstrap/es/CardBody").default;
export declare const CardColumns: typeof import("reactstrap/es/CardColumns").default;
export declare const CardDeck: typeof import("reactstrap/es/CardDeck").default;
export declare const CardFooter: typeof import("reactstrap/es/CardFooter").default;
export declare const CardGroup: typeof import("reactstrap/es/CardGroup").default;
export declare const CardHeader: typeof import("reactstrap/es/CardHeader").default;
export declare const CardImg: typeof import("reactstrap/es/CardImg").default;
export declare const CardImgOverlay: typeof import("reactstrap/es/CardImgOverlay").default;
export declare const CardLink: typeof import("reactstrap/es/CardLink").default;
export declare const CardSubtitle: typeof import("reactstrap/es/CardSubtitle").default;
export declare const CardText: typeof import("reactstrap/es/CardText").default;
export declare const CardTitle: typeof import("reactstrap/es/CardTitle").default;
export declare const Carousel: typeof import("reactstrap/es/Carousel").default;
export declare const CarouselItem: typeof import("reactstrap/es/CarouselItem").default;
export declare const CarouselControl: typeof import("reactstrap").CarouselControl;
export declare const CarouselIndicators: typeof import("reactstrap/es/CarouselIndicators").default;
export declare const CarouselCaption: typeof import("reactstrap/es/CarouselCaption").default;
export declare const Col: typeof import("reactstrap/es/Col").default;
export declare const Collapse: typeof import("reactstrap/es/Collapse").default;
export declare const Container: typeof import("reactstrap/es/Container").default;
export declare const CustomInput: typeof import("reactstrap/es/CustomInput").default;
export declare const Dropdown: typeof import("reactstrap/es/Dropdown").default;
export declare const DropdownItem: typeof import("reactstrap/es/DropdownItem").default;
export declare const DropdownMenu: typeof import("reactstrap/es/DropdownMenu").default;
export declare const DropdownToggle: typeof import("reactstrap/es/DropdownToggle").default;
export declare const Fade: typeof import("reactstrap/es/Fade").default;
export declare const Form: typeof import("reactstrap/es/Form").default;
export declare const FormFeedback: typeof import("reactstrap/es/FormFeedback").default;
export declare const FormGroup: typeof import("reactstrap/es/FormGroup").default;
export declare const FormText: typeof import("reactstrap/es/FormText").default;
export declare const Input: typeof import("reactstrap/es/Input").default;
export declare const InputGroup: typeof import("reactstrap/es/InputGroup").default;
export declare const InputGroupAddon: typeof import("reactstrap/es/InputGroupAddon").default;
export declare const InputGroupButtonDropdown: typeof import("reactstrap/es/InputGroupButtonDropdown").default;
export declare const InputGroupText: typeof import("reactstrap/es/InputGroupText").default;
export declare const Jumbotron: typeof import("reactstrap/es/Jumbotron").default;
export declare const Label: typeof import("reactstrap/es/Label").default;
export declare const ListGroup: typeof import("reactstrap/es/ListGroup").default;
export declare const ListGroupItem: typeof import("reactstrap/es/ListGroupItem").default;
export declare const ListGroupItemHeading: typeof import("reactstrap/es/ListGroupItemHeading").default;
export declare const ListGroupItemText: typeof import("reactstrap/es/ListGroupItemText").default;
export declare const Media: typeof import("reactstrap/es/Media").default;
export declare const Modal: typeof import("reactstrap/es/Modal").default;
export declare const ModalBody: typeof import("reactstrap/es/ModalBody").default;
export declare const ModalFooter: typeof import("reactstrap/es/ModalFooter").default;
export declare const ModalHeader: typeof import("reactstrap/es/ModalHeader").default;
export declare const Nav: typeof import("reactstrap/es/Nav").default;
export declare const Navbar: typeof import("reactstrap/es/Navbar").default;
export declare const NavbarBrand: typeof import("reactstrap/es/NavbarBrand").default;
export declare const NavbarText: typeof import("reactstrap/es/NavbarText").default;
export declare const NavbarToggler: typeof import("reactstrap/es/NavbarToggler").default;
export declare const NavItem: typeof import("reactstrap/es/NavItem").default;
export declare const NavLink: typeof import("reactstrap/es/NavLink").default;
export declare const Pagination: typeof import("reactstrap/es/Pagination").default;
export declare const PaginationItem: typeof import("reactstrap/es/PaginationItem").default;
export declare const PaginationLink: typeof import("reactstrap/es/PaginationLink").default;
export declare const Popover: typeof import("reactstrap/es/Popover").default;
export declare const PopoverBody: typeof import("reactstrap/es/PopoverBody").default;
export declare const PopoverHeader: typeof import("reactstrap/es/PopoverHeader").default;
export declare const Progress: typeof import("reactstrap/es/Progress").default;
export declare const Row: typeof import("reactstrap/es/Row").default;
export declare const Spinner: typeof import("reactstrap/es/Spinner").default;
export declare const TabContent: typeof import("reactstrap/es/TabContent").default;
export declare const Table: typeof import("reactstrap/es/Table").default;
export declare const TabPane: typeof import("reactstrap/es/TabPane").default;
export declare const Toast: typeof import("reactstrap/es/Toast").default;
export declare const ToastBody: typeof import("reactstrap/es/ToastBody").default;
export declare const ToastHeader: typeof import("reactstrap/es/ToastHeader").default;
export declare const Tooltip: typeof import("reactstrap/es/Tooltip").default;
export declare const Util: typeof import("reactstrap/es/utils");
export declare const SettingsField: typeof SettingsFieldClass;
export declare const SettingsFieldText: typeof settingsFields.SettingsFieldText;
export declare const SettingsFieldSelect: typeof settingsFields.SettingsFieldSelect;
export declare const SettingsFieldJSON: typeof settingsFields.SettingsFieldJSON;
export declare const PlugandworkApp: typeof PlugandworkAppClass;
export declare const getStore: () => EnhancedStore<storeMethods.RootState, import("redux").AnyAction, readonly import("redux").Middleware<{}, storeMethods.RootState, import("redux").Dispatch<import("redux").AnyAction>>[]>;
export declare const store: EnhancedStore<storeMethods.RootState>;
export { Components };
export declare const alertsActions: {
    errorAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
    successAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
    infoAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
    warningAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
    clearAlerts: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
    clearAlertsAsync: (amount: number) => import("redux-thunk").ThunkAction<void, storeMethods.RootState, unknown, import("redux").Action<string>>;
    removeAlert: import("@reduxjs/toolkit").ActionCreatorWithPayload<any, string>;
    getAlerts: (state: storeMethods.RootState) => SN[];
};
export interface StoreAlertsState extends SNS {
}
export interface StoreAlert extends SN {
}
export declare const i18nInstance: any;
export declare const Models: {
    Paw: typeof Paw;
    App: typeof App;
    Bloc: typeof Bloc;
    Context: typeof Context;
    Folder: typeof Folder;
    Space: typeof Space;
    User: typeof User;
    ViewFolder: typeof ViewFolder;
    View: typeof View;
    Doc: typeof Doc;
    Group: typeof Group;
};
export interface PawConnectedModel<T> extends PawConnected<T> {
}
export interface PawViewProps extends IViewProps {
}
