declare const enum SettingsFieldTypes {
    SELECT = "Select",
    TEXT = "Text",
    JSON = "JSON"
}
declare class SettingsField {
    static type: SettingsFieldTypes;
    slug: string;
    type: string;
    constructor(values: any, key: string);
    static getFieldFromType(type: SettingsFieldTypes): typeof SettingsFieldText;
    encode(value: any): any;
    decode(value: any): any;
}
declare class SettingsFieldSelect extends SettingsField {
    static type: SettingsFieldTypes;
    options: [{
        label: string;
        value: any;
    }];
    encode(value: any): any;
    decode(value: any): string;
}
declare class SettingsFieldText extends SettingsField {
    static type: SettingsFieldTypes;
    encode(value: any): any;
    decode(value: any): any;
}
declare class SettingsFieldJSON extends SettingsField {
    static type: SettingsFieldTypes;
    encode(value: any): string;
    decode(value: any): any;
}
export { SettingsField, SettingsFieldSelect, SettingsFieldText, SettingsFieldJSON, SettingsFieldTypes };
export default SettingsField;
